Bug 1114132 - when in container mode, subscription-manager-gui (and some other tools) should also be disabled
Summary: when in container mode, subscription-manager-gui (and some other tools) shoul...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Chris Snyder
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: rhsm-rhel66
TreeView+ depends on / blocked
 
Reported: 2014-06-27 20:29 UTC by John Sefler
Modified: 2014-09-21 22:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-04 17:22:25 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description John Sefler 2014-06-27 20:29:28 UTC
Description of problem:

When in container mode, attempts to start the subscription-manager-gui (from the terminal or the Desktop). The "subscription-manager is disabled when running inside a container. Please refer to your host system for subscription management." should be presented.


Version-Release number of selected component (if applicable):
[root@jsefler-6 ~]# rpm -q subscription-manager-gui
subscription-manager-gui-1.12.4-1.el6.x86_64

How reproducible:


Steps to Reproduce:
[root@jsefler-6 ~]# mkdir /etc/rhsm-host
[root@jsefler-6 ~]# subscription-manager-gui 


Actual results:
the gui starts

Expected results:
subscription-manager is disabled when running inside a container. Please refer to your host system for subscription management.


Additional info:

Comment 1 John Sefler 2014-06-29 01:19:08 UTC
rhn-migrate-classic-to-rhsm should also be disabled in container mode

Comment 2 John Sefler 2014-06-29 02:04:59 UTC
rhsmcertd should also be disabled in container mode

Comment 4 Sharath Dwaral 2014-08-04 13:19:55 UTC
Version:

# subscription-manager version
server type: This system is currently not registered.
subscription management server: 0.9.21-1
subscription management rules: 5.11
subscription-manager: 1.12.11-1.el6
python-rhsm: 1.12.5-1.el6

Verification:

# mkdir /etc/rhsm-host
# subscription-manager-gui 

    GUI starts up

# service rhsmcertd status
rhsmcertd (pid 13496) is running...
# mkdir /etc/rhsm-host
# subscription-manager version
subscription-manager is disabled when running inside a container. Please refer to your host system for subscription management.
# service rhsmcertd status
rhsmcertd (pid 13496) is running...

   rhsmcertd shold be disabled

Verification FAILED.

Comment 5 Chris Snyder 2014-08-04 17:22:25 UTC
While less than ideal, subscription-manager can run inside containers (it is presently disabled). As it can be useful (especially for testing) these tools (including the cli) should not be disabled inside containers.

The solution to this will come when we create a package including only the subscription-manager yum plugin. That package can then be added to containers as necessary.

See for additional details: https://github.com/candlepin/subscription-manager/pull/995#issuecomment-49183764


Note You need to log in before you can comment on or make changes to this bug.